﻿

[type="radio"]:not(:checked), [type="radio"]:checked {
     position: absolute; 
     left: -9999px; 
     opacity: 1 !important; 
}
 .sidebar .menu .list .toggled {
    background-color: transparent;
    text-decoration: none;
}
.sidebar .menu .list .header {
   
    margin-top: 9px;
}

.theme-container {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}
.card {
    background: #fff;
    margin-bottom: 16px;
}

.card-footer{
    background-color:#fff;
}
.theme-card {
    width: 100%;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: bold;
    cursor: pointer;
    border-radius: 8px 8px 0 0;
 
    transition: transform 0.2s;
    position: relative;
}

    .theme-card.active {
        border: 4px solid #000;
        transform: scale(1.1);
    }

.add-theme {
 
    width: 250px;
    height: 190px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px dashed #ccc;
    border-radius: 8px;
    color: #333;
    cursor: pointer;
}

#colorPicker {
    display: none;
}

.buttons {
    margin-top: 20px;
}

/* Modal styling */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}

.modal-content {
    background: white;
    padding: 20px;
    border-radius: 8px !important;
    width: 420px;
    text-align: center;
}
.modal .modal-header {
    border: none;
    padding: 0;
}
    .modal-content h2 {
        margin: 0;
        margin-bottom: 10px;
    }

    .modal-content label {
        display: block;
        margin-top: 10px;
        text-align: left;
    }

    .modal-content input[type="text"], .modal-content input[type="color"] {
        width: 100%;
        padding: 8px;
        margin-top: 5px;
        border-radius: 4px;
        border: 1px solid #ccc;
    }

    .modal-content button {
        margin-top: 20px;
        padding: 10px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }

        .modal-content button.save {
            background-color: #007bff;
            color: white;
        }

        .modal-content button.cancel {
            background-color: #ccc;
            color: #333;
            margin-left: 10px;
        }
